Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Config_Handlers::IDREF_Base Class Reference

`#include <IDREF_Base.h>`

Collaboration diagram for CIAO::Config_Handlers::IDREF_Base:

[legend]
List of all members.

## Public Types
typedef ACE_Hash_Map_Manager< ACE_CString, size_t, ACE_Null_Mutex > | IDREF_MAP
typedef ACE_Hash_Map_Manager< size_t, ACE_CString, ACE_Null_Mutex > | POS_MAP
## Public Member Functions
bool | bind_ref (ACE_CString &id, size_t index)
| Bind an IDREF to an index.
bool | find_ref (const ACE_CString &id, size_t &val)
| Get the index associated with an IDREF.
bool | find_ref (const size_t id, ACE_CString &val)
| get the IDREF associated with an index
bool | unbind_refs (void)
| Unbind all IDREFS.
## Protected Attributes
IDREF_MAP | idref_map_
POS_MAP | pos_map_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<ACE_CString, size_t, ACE_Null_Mutex> CIAO::Config_Handlers::IDREF_Base::IDREF_MAP

typedef ACE_Hash_Map_Manager<size_t, ACE_CString, ACE_Null_Mutex> CIAO::Config_Handlers::IDREF_Base::POS_MAP

## Member Function Documentation

bool CIAO::Config_Handlers::IDREF_Base::bind_ref | ( | ACE_CString & | id,
|  | size_t | index
| ) |

| Bind an IDREF to an index.

bool CIAO::Config_Handlers::IDREF_Base::find_ref | ( | const size_t | id,
|  | ACE_CString & | val
| ) |

| get the IDREF associated with an index

bool CIAO::Config_Handlers::IDREF_Base::find_ref | ( | const ACE_CString & | id,
|  | size_t & | val
| ) |

| Get the index associated with an IDREF.

bool CIAO::Config_Handlers::IDREF_Base::unbind_refs | ( | void |  | ) |

| Unbind all IDREFS.

## Member Data Documentation

IDREF_MAP CIAO::Config_Handlers::IDREF_Base::idref_map_`[protected]`

| The map used to store and look up the indexes of elements referenced by their IDREF.

POS_MAP CIAO::Config_Handlers::IDREF_Base::pos_map_`[protected]`

| The map used to store and look up the IDREFS of elements referenced by their index.

The documentation for this class was generated from the following files:

- IDREF_Base.h
- IDREF_Base.cpp